package org.jcon.df;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface for remote methods available for Datastore.
 * See Datastore for documentation.
 *
 * @author Jack Harich
 */
public interface DatastoreRemote extends Remote {

//----- User
/** public String addUser(String name, String password)
    throws RemoteException;

public void removeUser(String name) throws RemoteException;
*/
//----- Database
public Database createDatabase(String dbName) throws RemoteException;

//----- Other
public String[] loadDatabaseNames() throws RemoteException;

public Entity getEntity(String schemaName,
    String entityName) throws RemoteException;


} // End interface


